NVME-WDC-VS-SMART(1)

NAME
nvme-wdc-vs-smart-add-log - Send NVMe WDC vs-smart-add-log Vendor Unique Command, return result

SYNOPSIS

nvme wdc vs-smart-add-log <device> [--interval=<NUM>, -i <NUM>] [--output-format=<normal|json> -o <normal|json>]
    [--log-page-version=<NUM>, -l <NUM>] [--log-page-mask=<LIST>, -p <LIST>]

DESCRIPTION

For the NVMe device given, send a Vendor Unique WDC vs-smart-add-log command and provide the additional smart log.

The <device> parameter is mandatory and may be either the NVMe character device (ex: /dev/nvme0) or block device (ex: /dev/nvme0n1).

This will only work on WDC devices supporting this feature. Results for any other device are undefined.

On success it returns 0, error code otherwise.

OPTIONS

-i <NUM>, --interval=<NUM>
    Return the statistics from specific interval, defaults to 14. This parameter is only valid for the 0xC1 log page and ignored for all other log pages.

-o <format>, --output-format=<format>
    Set the reporting format to normal, or json. Only one output format can be used at a time. Default is normal.

-l <NUM>, --log-page-version=<NUM>
    Log Page Version: 0 = vendor, 1 = WDC. This parameter is only valid for the 0xC0 log page and ignored for all other log pages.

-p <LIST>, --log-page-mask=<LIST>
    Supply a comma separated list of desired log pages to display. The possible values are 0xc0, 0xc1, 0xca, 0xd0. Note: Not all pages are supported on all drives. The default is to display all supported log pages.

Valid Interval values and description :-
Value | Description
1 | Most recent five (5) minute accumulated set.
2-12 | Previous five (5) minute accumulated sets.
13 | The accumulated total of sets 1 through 12 that contain the previous hour of accumulated statistics.
14 | The statistical set accumulated since power-up.
15 | The statistical set accumulated during the entire lifetime of the device.

EXAMPLES

    • Has the program issue WDC vs-smart-add-log Vendor Unique Command with default interval (14) :

        # nvme wdc vs-smart-add-log /dev/nvme0

    • Has the program issue WDC vs-smart-add-log Vendor Unique Command for just the 0xCA log page :

        # nvme wdc vs-smart-add-log /dev/nvme0 -p 0xCA

    • Has the program issue WDC vs-smart-add-log Vendor Unique Command for 0xC0 and 0xCA log pages :

        # nvme wdc vs-smart-add-log /dev/nvme0 -p 0xCA,0xC0

NVME

Part of the nvme-user suite.